Bug 1715845 - JS ERROR: TypeError: this._workspacesViews[i] is undefined
Summary: JS ERROR: TypeError: this._workspacesViews[i] is undefined
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: gnome-shell
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Florian Müllner
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1739559
TreeView+ depends on / blocked
 
Reported: 2019-05-31 12:34 UTC by Tomas Pelka
Modified: 2020-11-04 01:35 UTC (History)
4 users (show)

Fixed In Version: gnome-shell-3.32.2-18.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 01:34:16 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4451 0 None None None 2020-11-04 01:34:40 UTC

Description Tomas Pelka 2019-05-31 12:34:39 UTC
Description of problem:
I can see following messages in journal:

May 31 11:10:19 t470s gnome-shell[6850]: JS ERROR: TypeError: this._workspacesViews[i] is undefined
                                         _updateWorkspacesActualGeometry@resource:///org/gnome/shell/ui/workspacesView.js:731:13
                                         vfunc_allocate@resource:///org/gnome/shell/ui/overviewControls.js:388:9
                                         _updateWorkspacesViews@resource:///org/gnome/shell/ui/workspacesView.js:637:13
                                         show@resource:///org/gnome/shell/ui/workspacesView.js:557:9
                                         show@resource:///org/gnome/shell/ui/viewSelector.js:268:9
                                         _animateVisible@resource:///org/gnome/shell/ui/overview.js:527:9
                                         show@resource:///org/gnome/shell/ui/overview.js:513:9
                                         toggle@resource:///org/gnome/shell/ui/overview.js:636:13
                                         _toggleOverview@resource:///org/gnome/shell/ui/layout.js:1231:13
                                         _emit@resource:///org/gnome/gjs/modules/signals.js:142:27
                                         _trigger@resource:///org/gnome/shell/ui/layout.js:1362:9
                                         _onBarrierHit@resource:///org/gnome/shell/ui/layout.js:1404:13

Not sure whether this is expected or not. Also note there are no other issieble issues. Also not sure how to reproduce too.


Version-Release number of selected component (if applicable):
gnome-shell-3.32.2-1.el8.x86_64
mutter-3.32.2-3.el8.x86_64
gtk3-3.22.30-3.el8.x86_64


How reproducible:
??

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Jan Vlug 2019-08-07 16:30:53 UTC
I see something similar in my Fedora 30 logging:

Aug 07 17:58:23 nyx gnome-shell[2760]: JS WARNING: [resource:///org/gnome/shell/ui/workspacesView.js 714]: reference to undefined property 1
Aug 07 17:58:23 nyx gnome-shell[2760]: JS ERROR: TypeError: this._workspacesViews[i] is undefined
                                       _updateWorkspacesFullGeometry@resource:///org/gnome/shell/ui/workspacesView.js:714:13
                                       setWorkspacesFullGeometry@resource:///org/gnome/shell/ui/workspacesView.js:704:9
                                       setWorkspacesFullGeometry@resource:///org/gnome/shell/ui/viewSelector.js:293:9
                                       _updateWorkspacesGeometry@resource:///org/gnome/shell/ui/overviewControls.js:456:9
                                       vfunc_allocate@resource:///org/gnome/shell/ui/overviewControls.js:389:9
                                       _updateWorkspacesViews@resource:///org/gnome/shell/ui/workspacesView.js:637:13
                                       show@resource:///org/gnome/shell/ui/workspacesView.js:557:9
                                       show@resource:///org/gnome/shell/ui/viewSelector.js:268:9
                                       _animateVisible@resource:///org/gnome/shell/ui/overview.js:527:9
                                       show@resource:///org/gnome/shell/ui/overview.js:513:9
                                       toggle@resource:///org/gnome/shell/ui/overview.js:636:13
                                       _toggleOverview@resource:///org/gnome/shell/ui/layout.js:1243:13
                                       _emit@resource:///org/gnome/gjs/modules/signals.js:142:27
                                       _trigger@resource:///org/gnome/shell/ui/layout.js:1374:9
                                       _onBarrierHit@resource:///org/gnome/shell/ui/layout.js:1416:13

Comment 5 Michael Boisvert 2020-06-25 18:29:09 UTC
I do not see this JS ERROR running gnome-shell-3.32.2-19.el8.

Comment 8 errata-xmlrpc 2020-11-04 01:34:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: GNOME security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4451


Note You need to log in before you can comment on or make changes to this bug.